function w_k = w_k_update(K,NumF,rho_k,zeta,alpha_k)

w_k=zeros(3*NumF,K);

temp = zeros(3*NumF,3*NumF);
for j=1:K
    temp = temp + alpha_k(:,j)*(alpha_k(:,j))';
end
temp = temp + zeta*eye(3*NumF);

for k=1:K
    w_k(:,k)=sqrt(1+rho_k(k))*temp\alpha_k(:,k);
end

end

